Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Class _UserTransactionServerImp_Tie

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              com.atomikos.icatch.jta._UserTransactionServerImp_Tie

All Implemented Interfaces:
  Tie, Object, InvokeHandler

    public class _UserTransactionServerImp_Tie

extends ObjectImpl
implements Tie

Constructor Summary
`_UserTransactionServerImp_Tie()`

Method Summary
`String[]` | `_ids()`
`OutputStream` | `_invoke(String method, InputStream _in, ResponseHandler reply)`
`void` | `deactivate()`
`Remote` | `getTarget()`
`ORB` | `orb()`
`void` | `orb(ORB orb)`
`void` | `setTarget(Remote target)`
`Object` | `thisObject()`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _UserTransactionServerImp_Tie

    public _UserTransactionServerImp_Tie()

Method Detail

### setTarget

    public void setTarget(Remote target)

  Specified by:
    `setTarget` in interface `Tie`

### getTarget

    public Remote getTarget()

  Specified by:
    `getTarget` in interface `Tie`

### thisObject

    public Object thisObject()

  Specified by:
    `thisObject` in interface `Tie`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `Tie`

### orb

    public ORB orb()

  Specified by:
    `orb` in interface `Tie`

### orb

    public void orb(ORB orb)

  Specified by:
    `orb` in interface `Tie`

### _ids

    public String[] _ids()

  Specified by:
    `_ids` in class `ObjectImpl`

### _invoke

    public OutputStream _invoke(String method,
                                InputStream _in,
                                ResponseHandler reply)
                         throws SystemException

  Specified by:
    `_invoke` in interface `InvokeHandler`
  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.